Loading...
Searching...
No Matches
apache::subversion::svnxx::detail::future_::shared_future_base Class Reference
Inheritance diagram for apache::subversion::svnxx::detail::future_::shared_future_base:

## Protected Member Functions

| shared_future_base (const shared_future_base &that)
| shared_future_base (shared_future_base &&that)
| shared_future_base (shared_ptr shared_result_)

## Detailed Description

Definition at line 44 of file future.hpp.

## Constructor & Destructor Documentation

## shared_future_base() [1/4]

apache::subversion::svnxx::detail::future_::shared_future_base::shared_future_base | ( |  | ) |

inline protected noexcept

Definition at line 47 of file future.hpp.

## shared_future_base() [2/4]

apache::subversion::svnxx::detail::future_::shared_future_base::shared_future_base | ( | const shared_future_base & | that | ) |

inline protected

Definition at line 49 of file future.hpp.

## shared_future_base() [3/4]

apache::subversion::svnxx::detail::future_::shared_future_base::shared_future_base | ( | shared_future_base && | that | ) |

inline protected

Definition at line 53 of file future.hpp.

## shared_future_base() [4/4]

apache::subversion::svnxx::detail::future_::shared_future_base::shared_future_base | ( | shared_ptr | shared_result_ | ) |

inline explicit protected

Definition at line 57 of file future.hpp.

The documentation for this class was generated from the following file:

- svnxx/detail/future.hpp